put
/platform/iam/v1/api-key/{api_key_id}
This endpoint allows for the editing of an existing API key. For possible 'security_level' values, please refer to the enum documentation for 'SecurityLevel'.
Path parameters
api_key_id
Integer
required
Full API key ID
Full API key ID
Example:
56
CLIENT REQUEST
curl -X 'PUT'
-H
'Accept: application/json'
-H
'Content-Type: application/json'
'https://api-cortex.paloaltonetworks.com/platform/iam/v1/api-key/{api_key_id}'
-d
'{
"request_data" : {
"roles" : [ "role_name_123" ],
"security_level" : "standard",
"comment" : "useful comment"
}
}'
import http.client
conn = http.client.HTTPSConnection("api-")
payload = "{\"request_data\":{\"roles\":[\"role_name_123\"],\"security_level\":\"standard\",\"comment\":\"useful comment\"}}"
headers = { 'content-type': "application/json" }
conn.request("PUT", "%7Bfqdn%7D/platform/iam/v1/api-key/%7Bapi_key_id%7D", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://api-/%7Bfqdn%7D/platform/iam/v1/api-key/%7Bapi_key_id%7D")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Put.new(url)
request["content-type"] = 'application/json'
request.body = "{\"request_data\":{\"roles\":[\"role_name_123\"],\"security_level\":\"standard\",\"comment\":\"useful comment\"}}"
response = http.request(request)
puts response.read_bodyconst data = JSON.stringify({
"request_data": {
"roles": [
"role_name_123"
],
"security_level": "standard",
"comment": "useful comment"
}
});
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("PUT", "https://api-/%7Bfqdn%7D/platform/iam/v1/api-key/%7Bapi_key_id%7D");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);HttpResponse<String> response = Unirest.put("https://api-/%7Bfqdn%7D/platform/iam/v1/api-key/%7Bapi_key_id%7D")
.header("content-type", "application/json")
.body("{\"request_data\":{\"roles\":[\"role_name_123\"],\"security_level\":\"standard\",\"comment\":\"useful comment\"}}")
.asString();import Foundation
let headers = ["content-type": "application/json"]
let parameters = ["request_data": [
"roles": ["role_name_123"],
"security_level": "standard",
"comment": "useful comment"
]] as [String : Any]
let postData = JSONSerialization.data(withJSONObject: parameters, options: [])
let request = NSMutableURLRequest(url: NSURL(string: "https://api-/%7Bfqdn%7D/platform/iam/v1/api-key/%7Bapi_key_id%7D")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-/%7Bfqdn%7D/platform/iam/v1/api-key/%7Bapi_key_id%7D",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => "{\"request_data\":{\"roles\":[\"role_name_123\"],\"security_level\":\"standard\",\"comment\":\"useful comment\"}}",
CURLOPT_HTTPHEADER => [
"content-type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "PUT");
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-/%7Bfqdn%7D/platform/iam/v1/api-key/%7Bapi_key_id%7D");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "content-type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"request_data\":{\"roles\":[\"role_name_123\"],\"security_level\":\"standard\",\"comment\":\"useful comment\"}}");
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://api-/%7Bfqdn%7D/platform/iam/v1/api-key/%7Bapi_key_id%7D");
var request = new RestRequest(Method.PUT);
request.AddHeader("content-type", "application/json");
request.AddParameter("application/json", "{\"request_data\":{\"roles\":[\"role_name_123\"],\"security_level\":\"standard\",\"comment\":\"useful comment\"}}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);Body parameters
required
request_dataobject
rolesarray[string]required
security_levelstring (Enum)required
commentstring
application/json
Request object for editing an existing API key
request_dataobjectThe data fields to update for the API key
The data fields to update for the API key
rolesarray[string]requiredA list of unique role identifiers to assign to the API key
A list of unique role identifiers to assign to the API key
security_levelstring (Enum)requiredThe security level for the API key (e.g., 'standard', 'advanced')
The security level for the API key (e.g., 'standard', 'advanced')
Allowed values:"standard""advanced"
commentstringAn optional comment or description for the API key
An optional comment or description for the API key
REQUEST
{
"request_data": {
"roles": [
"role_name_123"
],
"security_level": "standard",
"comment": "useful comment"
}
}Responses